Bug 234715 - net/GeoIP: geoipupdate.sh fail due to missing file from upstream.
Summary: net/GeoIP: geoipupdate.sh fail due to missing file from upstream.
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Adam Weinberger
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-01-07 22:02 UTC by Alexandre C. Guimarães
Modified: 2019-02-17 13:52 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (adamw)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alexandre C. Guimarães freebsd_committer 2019-01-07 22:02:20 UTC
Hello.

The file (GeoIP.dat.gz) geoipupdate.sh try to download apparently is not available anymore from upstream.

IDK what exactly is needed from the file, and so I am not trying to fix it.

Thanks.
Comment 1 Adam Weinberger freebsd_committer 2019-01-08 04:31:29 UTC
Thanks, Alexandre. I don't know how, but I completely missed that for the last year the GeoIP legacy format has been deprecated and is no longer provided. We need to start de-orbiting it immediately and removing GeoIP legacy support from the tree.
Comment 2 commit-hook freebsd_committer 2019-01-08 04:44:27 UTC
A commit references this bug:

Author: adamw
Date: Tue Jan  8 04:43:45 UTC 2019
New revision: 489642
URL: https://svnweb.freebsd.org/changeset/ports/489642

Log:
  Deprecate net/GeoIP, and expire it at the end of the month

  Note that only the legacy format is deprecated. The GeoIP2 databases
  are alive and well.

  I completely missed that GeoIP has been deprecated for the last year,
  and it expired upstream last week. Maxmind no longer provides the
  legacy database, rendering this port useless.

  Users must switch to GeoIP2 immediately. OPTIONS changes and
  instructions will be coming in the next few days.

  See https://support.maxmind.com/geolite-legacy-discontinuation-notice/

  Although it won't be purged from the quarterly branch, it probably
  makes sense to MFH this deprecation notice.

  PR:             234715
  Reported by:    rigoletto
  MFH:            2019Q1

Changes:
  head/net/GeoIP/Makefile
Comment 3 commit-hook freebsd_committer 2019-01-14 00:08:23 UTC
A commit references this bug:

Author: adamw
Date: Mon Jan 14 00:07:42 UTC 2019
New revision: 490220
URL: https://svnweb.freebsd.org/changeset/ports/490220

Log:
  MFH: r489642 r489971 r489992 r490212

  Deprecate net/GeoIP, and expire it at the end of the month

  Note that only the legacy format is deprecated. The GeoIP2 databases
  are alive and well.

  I completely missed that GeoIP has been deprecated for the last year,
  and it expired upstream last week. Maxmind no longer provides the
  legacy database, rendering this port useless.

  Users must switch to GeoIP2 immediately. OPTIONS changes and
  instructions will be coming in the next few days.

  See https://support.maxmind.com/geolite-legacy-discontinuation-notice/

  Although it won't be purged from the quarterly branch, it probably
  makes sense to MFH this deprecation notice.

  PR:             234715
  Reported by:    rigoletto

  Replace the geoipupdate.sh script (which just produced 404 errors) with
  a message explaining why, and what to do about it.

  Report failure to the caller in geoipupdate.sh

  The script was returning an error due to the service not being offered anymore.
  The update attempt was replaced with an information message, but it's better to
  still return 1 as it did before to allow users detecting they have a problem.

  Reported by:	aramw (maintainer)

  Extend the GeoIP expiration to a month from now to give
  users a bit more time to find a new solution.

  Approved by:	portmgr (with hat)

Changes:
_U  branches/2019Q1/
  branches/2019Q1/net/GeoIP/Makefile
  branches/2019Q1/net/GeoIP/files/geoipupdate.sh.in
Comment 4 Adam Weinberger freebsd_committer 2019-01-14 00:14:32 UTC
I keep forgetting to cite this PR. GeoIP options have all been purged, and all dependent ports have been marked DEPRECATED. GeoIP now gives an informative error message rather than trying to download the nonexistent database.

For the record, the issue here is that Maxmind deprecated the legacy database, but failed to put ANYTHING about it into the API. No commit messages or any file within the API repo refer to the thing being deprecated. They only gave a warning on a webpage that isn't accessible through the main GeoIP website.
Comment 5 Rene Ladan freebsd_committer 2019-02-17 13:52:32 UTC
Closing this, all legacy GeoIP ports have been removed from the HEAD branch.